﻿@model LibraryManagementSystem_Milestone01.Models.BorrowLedger

@{
    ViewData["Title"] = "Create";
}

<h1>Create</h1>

<h4>LibraryLedger</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="StudentId" class="control-label">Student Name</label>
                <select asp-for="StudentId" class ="form-control" asp-items="ViewBag.Listofstudents"></select>
            </div>
            <div class="form-group">
                <label asp-for="BookId" class="control-label"> Book Name</label>
                <select asp-for="BookId" class ="form-control" asp-items="ViewBag.Listofbooks"></select>
            </div>
            <div class="form-group">
                <label asp-for="TakenDate" class="control-label"></label>
                <input asp-for="TakenDate" class="form-control" />
                <span asp-validation-for="TakenDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ReturnDate" class="control-label"></label>
                <input asp-for="ReturnDate" class="form-control" />
                <span asp-validation-for="ReturnDate" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
